diff -Nurd kdebase-3.5.10/kdeprint/kdeprintfax/Makefile.am kdebase-3.5.10-new/kdeprint/kdeprintfax/Makefile.am
--- kdebase-3.5.10/kdeprint/kdeprintfax/Makefile.am	2005-09-10 01:25:38.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/kdeprintfax/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,11 +1,14 @@
 INCLUDES= $(all_includes)
 
-bin_PROGRAMS = kdeprintfax
-kdeprintfax_SOURCES = main.cpp kdeprintfax.cpp faxab.cpp faxctrl.cpp confgeneral.cpp configdlg.cpp \
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdeprintfax.la
+
+kdeprintfax_la_SOURCES = main.cpp kdeprintfax.cpp faxab.cpp faxctrl.cpp confgeneral.cpp configdlg.cpp \
 		      conffax.cpp confsystem.cpp conffilters.cpp filterdlg.cpp defcmds.cpp
-kdeprintfax_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kdeprintfax_LDADD   = $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT) -lkabc
-kdeprintfax_METASOURCES = AUTO
+kdeprintfax_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kdeprintfax_la_LIBADD  = $(LIB_KDEUI) $(LIB_KIO) $(LIB_KDEPRINT) -lkabc $(LIB_QT) $(LIB_KDECORE)
+kdeprintfax_la_METASOURCES = AUTO
 
 xdg_apps_DATA = kdeprintfax.desktop
 
diff -Nurd kdebase-3.5.10/kdeprint/kdeprintfax/main.cpp kdebase-3.5.10-new/kdeprint/kdeprintfax/main.cpp
--- kdebase-3.5.10/kdeprint/kdeprintfax/main.cpp	2005-10-10 08:04:02.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/kdeprintfax/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -44,7 +44,7 @@
   // INSERT YOUR COMMANDLINE OPTIONS HERE
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 
   KAboutData aboutData( "kdeprintfax", I18N_NOOP("KdeprintFax"),
diff -Nurd kdebase-3.5.10/kdeprint/kjobviewer/Makefile.am kdebase-3.5.10-new/kdeprint/kjobviewer/Makefile.am
--- kdebase-3.5.10/kdeprint/kjobviewer/Makefile.am	2005-09-10 01:25:38.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/kjobviewer/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -8,7 +8,7 @@
 
 kjobviewer_la_SOURCES = kjobviewer.cpp main.cpp
 kjobviewer_la_METASOURCES = AUTO
-kjobviewer_la_LIBADD = -lkdeprint_management $(LIB_KDEUI)
+kjobviewer_la_LIBADD = -lkdeprint_management $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lkdeprint -lDCOP
 kjobviewer_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_RPATH)
 
 noinst_HEADERS = kjobviewer.h
diff -Nurd kdebase-3.5.10/kdeprint/kprinter/Makefile.am kdebase-3.5.10-new/kdeprint/kprinter/Makefile.am
--- kdebase-3.5.10/kdeprint/kprinter/Makefile.am	2005-09-10 01:25:39.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/kprinter/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 kdeinit_LTLIBRARIES = kprinter.la
 
 kprinter_la_SOURCES = main.cpp printwrapper.cpp
-kprinter_la_LIBADD = -lkdeprint
+kprinter_la_LIBADD = -lkdeprint $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 kprinter_la_LDFLAGS = -module -avoid-version $(all_libraries) $(KDE_RPATH)
 kprinter_la_METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kdeprint/printmgr/Makefile.am kdebase-3.5.10-new/kdeprint/printmgr/Makefile.am
--- kdebase-3.5.10/kdeprint/printmgr/Makefile.am	2006-05-22 11:12:45.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/printmgr/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -6,7 +6,7 @@
 
 kcm_printmgr_la_SOURCES = kcmprintmgr.cpp
 kcm_printmgr_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kcm_printmgr_la_LIBADD = -lkdeprint_management
+kcm_printmgr_la_LIBADD = -lkdeprint_management $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 noinst_HEADERS = kcmprintmgr.h
 
diff -Nurd kdebase-3.5.10/kdeprint/slave/Makefile.am kdebase-3.5.10-new/kdeprint/slave/Makefile.am
--- kdebase-3.5.10/kdeprint/slave/Makefile.am	2005-09-10 01:25:39.000000000 -0700
+++ kdebase-3.5.10-new/kdeprint/slave/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = kio_print.la
 
 kio_print_la_SOURCES = kio_print.cpp
-kio_print_la_LIBADD = $(LIB_KIO) -lkdeprint
+kio_print_la_LIBADD = $(LIB_KIO) -lkdeprint $(LIB_QT) $(LIB_KDECORE)
 kio_print_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 METASOURCES = AUTO
diff -Nurd kdebase-3.5.10/kdesktop/Makefile.am kdebase-3.5.10-new/kdesktop/Makefile.am
--- kdebase-3.5.10/kdesktop/Makefile.am	2006-05-22 11:12:51.000000000 -0700
+++ kdebase-3.5.10-new/kdesktop/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,15 +2,15 @@
 
 INCLUDES = -I$(top_srcdir)/kcontrol/background -I$(top_srcdir)/libkonq -I$(top_srcdir)/kdmlib $(all_includes)
 kdesktop_la_LDFLAGS  = $(all_libraries) -module $(KDE_PLUGIN)
-kdesktop_la_LIBADD   = libkdesktopsettings.la $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kcontrol/background/libbgnd.la $(top_builddir)/kdmlib/libdmctl.la $(LIB_XSS) $(LIB_KUTILS) $(LIB_XCURSOR)
+kdesktop_la_LIBADD   = libkdesktopsettings.la $(top_builddir)/libkonq/libkonq.la $(top_builddir)/kcontrol/background/libbgnd.la $(top_builddir)/kdmlib/libdmctl.la $(LIB_XSS) $(LIB_KUTILS) $(LIB_XCURSOR) -lkdesu
 
 SUBDIRS = . lock pics patterns programs init kwebdesktop
 
 ####### Files
 
-bin_PROGRAMS = kcheckrunning
+bin_PROGRAMS = 
 lib_LTLIBRARIES =
-kdeinit_LTLIBRARIES = kdesktop.la
+kdeinit_LTLIBRARIES = kdesktop.la kcheckrunning.la
 noinst_LTLIBRARIES = libkdesktopsettings.la
 
 libkdesktopsettings_la_LDFLAGS = $(all_libraries) -no-undefined
@@ -31,9 +31,9 @@
 	xautolock.h lockeng.h init.h minicli.h \
 	pixmapserver.h startupid.h xautolock_c.h
 
-kcheckrunning_SOURCES = kcheckrunning.cpp
-kcheckrunning_LDFLAGS = $(all_libraries)
-kcheckrunning_LDADD = $(LIB_X11)
+kcheckrunning_la_SOURCES = kcheckrunning.cpp
+kcheckrunning_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kcheckrunning_la_LIBADD = $(LIB_X11)
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kdesktop/kcheckrunning.cpp kdebase-3.5.10-new/kdesktop/kcheckrunning.cpp
--- kdebase-3.5.10/kdesktop/kcheckrunning.cpp	2005-10-10 08:04:11.000000000 -0700
+++ kdebase-3.5.10-new/kdesktop/kcheckrunning.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -18,8 +18,9 @@
 */
 
 #include <X11/Xlib.h>
+#include <kdemacros.h>
 
-int main()
+extern "C" KDE_EXPORT int kdemain()
     {
     Display* dpy = XOpenDisplay( NULL );
     if( dpy == NULL )
diff -Nurd kdebase-3.5.10/kdesktop/kwebdesktop/Makefile.am kdebase-3.5.10-new/kdesktop/kwebdesktop/Makefile.am
--- kdebase-3.5.10/kdesktop/kwebdesktop/Makefile.am	2005-09-10 01:25:45.000000000 -0700
+++ kdebase-3.5.10-new/kdesktop/kwebdesktop/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -2,12 +2,15 @@
 INCLUDES= $(all_includes)
 LDADD = $(LIB_KHTML)
 
-bin_PROGRAMS = 	kwebdesktop
+bin_PROGRAMS =
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kwebdesktop.la
 
 METASOURCES = AUTO
 
-kwebdesktop_SOURCES = kwebdesktop.cpp kwebdesktopsettings.kcfgc 
-kwebdesktop_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kwebdesktop_la_SOURCES = kwebdesktop.cpp kwebdesktopsettings.kcfgc 
+kwebdesktop_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kwebdesktop_la_LIBADD  = $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KPARTS)
 
 kdesktop_kwebdesktop_data_DATA = kwebdesktop.desktop
 kdesktop_kwebdesktop_datadir = $(kde_datadir)/kdesktop/programs
diff -Nurd kdebase-3.5.10/kdesktop/kwebdesktop/kwebdesktop.cpp kdebase-3.5.10-new/kdesktop/kwebdesktop/kwebdesktop.cpp
--- kdebase-3.5.10/kdesktop/kwebdesktop/kwebdesktop.cpp	2007-01-15 03:32:10.000000000 -0800
+++ kdebase-3.5.10-new/kdesktop/kwebdesktop/kwebdesktop.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -84,7 +84,7 @@
 }
 
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
     KAboutData data( "kwebdesktop", I18N_NOOP("KDE Web Desktop"),
                      VERSION,
diff -Nurd kdebase-3.5.10/kdesktop/lock/Makefile.am kdebase-3.5.10-new/kdesktop/lock/Makefile.am
--- kdebase-3.5.10/kdesktop/lock/Makefile.am	2005-09-10 01:25:41.000000000 -0700
+++ kdebase-3.5.10-new/kdesktop/lock/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,14 +1,16 @@
 ## Makefile.am of kdebase/kdesktop/lock
 
 INCLUDES = -I.. -I$(top_srcdir)/kcheckpass -I$(top_srcdir)/kdmlib $(GLINC) $(all_includes)
-kdesktop_lock_LDFLAGS  = $(all_libraries) $(KDE_RPATH)
-kdesktop_lock_LDADD    = ../libkdesktopsettings.la ../../kdmlib/libdmctl.la $(LIB_KIO) $(LIB_XF86MISC) $(GLLIB)
+kdesktop_lock_la_LDFLAGS  = $(all_libraries) $(KDE_RPATH) -module -avoid-version
+kdesktop_lock_la_LIBADD    = ../libkdesktopsettings.la ../../kdmlib/libdmctl.la $(LIB_KIO) $(LIB_XF86MISC) $(GLLIB) $(LIB_KDEUI) $(LIB_QT) -lDCOP
 
 ####### Files
 
-bin_PROGRAMS = kdesktop_lock
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdesktop_lock.la
 
-kdesktop_lock_SOURCES = lockprocess.cc lockdlg.cc autologout.cc main.cc
+kdesktop_lock_la_SOURCES = lockprocess.cc lockdlg.cc autologout.cc main.cc
 
 noinst_HEADERS = lockprocess.h lockdlg.h autologout.h main.h
 
diff -Nurd kdebase-3.5.10/kdesktop/lock/main.cc kdebase-3.5.10-new/kdesktop/lock/main.cc
--- kdebase-3.5.10/kdesktop/lock/main.cc	2006-03-17 02:17:37.000000000 -0800
+++ kdebase-3.5.10-new/kdesktop/lock/main.cc	2010-05-13 05:26:41.000000000 -0700
@@ -59,7 +59,7 @@
 
 // -----------------------------------------------------------------------------
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
     KLocale::setMainCatalogue("kdesktop");
 
diff -Nurd kdebase-3.5.10/kdesu/kdesu/Makefile.am kdebase-3.5.10-new/kdesu/kdesu/Makefile.am
--- kdebase-3.5.10/kdesu/kdesu/Makefile.am	2005-09-10 01:26:14.000000000 -0700
+++ kdebase-3.5.10-new/kdesu/kdesu/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,11 +3,14 @@
 INCLUDES= $(all_includes)
 
 ## kdesu
-bin_PROGRAMS = 	kdesu
-kdesu_SOURCES = kdesu.cpp sudlg.cpp
-kdesu_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kdesu_LDADD   = $(LIB_KIO) -lkdesu
-kdesu_METASOURCES =  AUTO
+bin_PROGRAMS =
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdesu.la
+
+kdesu_la_SOURCES = kdesu.cpp sudlg.cpp
+kdesu_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kdesu_la_LIBADD  = $(LIB_KIO) -lkdesu $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
+kdesu_la_METASOURCES =  AUTO
 noinst_HEADERS = sudlg.h
 
 ## Messages
diff -Nurd kdebase-3.5.10/kdesu/kdesu/kdesu.cpp kdebase-3.5.10-new/kdesu/kdesu/kdesu.cpp
--- kdebase-3.5.10/kdesu/kdesu/kdesu.cpp	2008-02-13 01:40:49.000000000 -0800
+++ kdebase-3.5.10-new/kdesu/kdesu/kdesu.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -86,7 +86,7 @@
 
 static int startApp();
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
     // FIXME: this can be considered a poor man's solution, as it's not
     // directly obvious to a gui user. :)
diff -Nurd kdebase-3.5.10/kdesu/kdesud/Makefile.am kdebase-3.5.10-new/kdesu/kdesud/Makefile.am
--- kdebase-3.5.10/kdesu/kdesud/Makefile.am	2005-09-10 01:26:13.000000000 -0700
+++ kdebase-3.5.10-new/kdesu/kdesud/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,10 +4,13 @@
 
 KDE_CXXFLAGS = $(KDE_USE_FPIE)
 
-bin_PROGRAMS = kdesud
-kdesud_SOURCES = kdesud.cpp repo.cpp lexer.cpp handler.cpp secure.cpp 
-kdesud_LDFLAGS = $(KDE_USE_PIE) $(all_libraries) $(KDE_RPATH)
-kdesud_LDADD = $(LIB_KDECORE) -lkdesu $(LIBSOCKET)
+bin_PROGRAMS = 
+lib_LTLIBRARIES = 
+kdeinit_LTLIBRARIES = kdesud.la
+
+kdesud_la_SOURCES = kdesud.cpp repo.cpp lexer.cpp handler.cpp secure.cpp 
+kdesud_la_LDFLAGS = $(KDE_USE_PIE) $(all_libraries) $(KDE_PLUGIN) -module
+kdesud_la_LIBADD = $(LIB_KDECORE) -lkdesu $(LIBSOCKET) $(LIB_QT)
 noinst_HEADERS = repo.h handler.h lexer.h secure.h
 
 ## kdesud needs to be suid or sgid something
diff -Nurd kdebase-3.5.10/kdesu/kdesud/kdesud.cpp kdebase-3.5.10-new/kdesu/kdesud/kdesud.cpp
--- kdebase-3.5.10/kdesu/kdesud/kdesud.cpp	2007-05-14 00:55:53.000000000 -0700
+++ kdebase-3.5.10-new/kdesu/kdesud/kdesud.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -246,7 +246,7 @@
  * Main program
  */
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
     KAboutData aboutData("kdesud", I18N_NOOP("KDE su daemon"),
             Version, I18N_NOOP("Daemon used by kdesu"),
diff -Nurd kdebase-3.5.10/kdialog/Makefile.am kdebase-3.5.10-new/kdialog/Makefile.am
--- kdebase-3.5.10/kdialog/Makefile.am	2005-09-10 01:25:36.000000000 -0700
+++ kdebase-3.5.10-new/kdialog/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -1,11 +1,13 @@
 KDE_CXXFLAGS = -DQT_NO_CAST_ASCII -DQT_NO_ASCII_CAST
 INCLUDES = $(all_includes)
 
-bin_PROGRAMS = kdialog
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kdialog.la
 
-kdialog_SOURCES = kdialog.cpp widgets.cpp klistboxdialog.cpp progressdialog.cpp progressdialogiface.skel
-kdialog_LDADD = $(LIB_KIO)
-kdialog_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kdialog_la_SOURCES = kdialog.cpp widgets.cpp klistboxdialog.cpp progressdialog.cpp progressdialogiface.skel
+kdialog_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
+kdialog_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kdialog/kdialog.cpp kdebase-3.5.10-new/kdialog/kdialog.cpp
--- kdebase-3.5.10/kdialog/kdialog.cpp	2006-05-22 11:12:42.000000000 -0700
+++ kdebase-3.5.10-new/kdialog/kdialog.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -660,7 +660,7 @@
 }
 
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
   KAboutData aboutData( "kdialog", I18N_NOOP("KDialog"),
                         "1.0", I18N_NOOP( "KDialog can be used to show nice dialog boxes from shell scripts" ),
diff -Nurd kdebase-3.5.10/kdm/kfrontend/Makefile.am kdebase-3.5.10-new/kdm/kfrontend/Makefile.am
--- kdebase-3.5.10/kdm/kfrontend/Makefile.am	2006-10-01 10:32:15.000000000 -0700
+++ kdebase-3.5.10-new/kdm/kfrontend/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -24,11 +24,11 @@
     kgreeter.cpp \
     kgapp.cpp
 kdm_greet_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kdm_greet_LDADD = themer/libkdmthemer.a $(LIB_KDEUI) $(XTESTLIB) $(LIBPOSIX4)
+kdm_greet_LDADD = themer/libkdmthemer.a $(LIB_KDEUI) $(XTESTLIB) $(LIBPOSIX4) $(LIB_QT) $(LIB_KDECORE) -lkdefx
 
 krootimage_SOURCES = krootimage.cpp
 krootimage_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-krootimage_LDADD = $(top_builddir)/kcontrol/background/libbgnd.la $(LIB_KIO)
+krootimage_LDADD = $(top_builddir)/kcontrol/background/libbgnd.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) -lkdefx -lDCOP $(LIB_KDEUI)
 
 METASOURCES = AUTO
 
diff -Nurd kdebase-3.5.10/kdmlib/Makefile.am kdebase-3.5.10-new/kdmlib/Makefile.am
--- kdebase-3.5.10/kdmlib/Makefile.am	2005-10-10 08:03:54.000000000 -0700
+++ kdebase-3.5.10-new/kdmlib/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,11 +4,11 @@
 
 kgreet_classic_la_SOURCES = kgreet_classic.cpp
 kgreet_classic_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kgreet_classic_la_LIBADD = $(LIB_KDEUI)
+kgreet_classic_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 kgreet_winbind_la_SOURCES = kgreet_winbind.cpp
 kgreet_winbind_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kgreet_winbind_la_LIBADD = $(LIB_KDEUI)
+kgreet_winbind_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 noinst_LTLIBRARIES = libdmctl.la
 libdmctl_la_SOURCES = dmctl.cpp
diff -Nurd kdebase-3.5.10/kfind/Makefile.am kdebase-3.5.10-new/kfind/Makefile.am
--- kdebase-3.5.10/kfind/Makefile.am	2005-09-10 01:25:00.000000000 -0700
+++ kdebase-3.5.10-new/kfind/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 
 libkfindpart_la_SOURCES = kfindpart.cpp
 libkfindpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
-libkfindpart_la_LIBADD = libkfind_common.la $(LIB_KPARTS) $(top_builddir)/libkonq/libkonq.la 
+libkfindpart_la_LIBADD = libkfind_common.la $(LIB_KPARTS) $(top_builddir)/libkonq/libkonq.la
 
 noinst_HEADERS	= kftabdlg.h kfind.h version.h kquery.h  kdatecombo.h
 
@@ -28,9 +28,12 @@
 
 #And this is for kfind
 
-bin_PROGRAMS = kfind
-kfind_SOURCES = kfwin.cpp kfinddlg.cpp main.cpp 
-kfind_LDADD   =  libkfind_common.la $(LIB_KPARTS)
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = kfind.la
+
+kfind_la_SOURCES = kfwin.cpp kfinddlg.cpp main.cpp 
+kfind_la_LIBADD  =  libkfind_common.la $(LIB_KPARTS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 
 # the library search path.
-kfind_LDFLAGS = $(all_libraries) $(KDE_RPATH)
+kfind_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
diff -Nurd kdebase-3.5.10/kfind/main.cpp kdebase-3.5.10-new/kfind/main.cpp
--- kdebase-3.5.10/kfind/main.cpp	2005-09-10 01:25:00.000000000 -0700
+++ kdebase-3.5.10-new/kfind/main.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -19,7 +19,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char ** argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char ** argv )
 {
   KLocale::setMainCatalogue("kfindpart");
   KAboutData aboutData( "kfind", I18N_NOOP("KFind"),
diff -Nurd kdebase-3.5.10/khelpcenter/Makefile.am kdebase-3.5.10-new/khelpcenter/Makefile.am
--- kdebase-3.5.10/khelpcenter/Makefile.am	2005-09-10 01:25:18.000000000 -0700
+++ kdebase-3.5.10-new/khelpcenter/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,17 +3,17 @@
 INCLUDES = $(all_includes)
 METASOURCES = AUTO
 
-bin_PROGRAMS = khc_indexbuilder
+bin_PROGRAMS = 
 lib_LTLIBRARIES = 
 
-khc_indexbuilder_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-khc_indexbuilder_LDADD = $(LIB_KDECORE)
-khc_indexbuilder_SOURCES = khc_indexbuilder.cpp
+khc_indexbuilder_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+khc_indexbuilder_la_LIBADD = $(LIB_KDECORE) $(LIB_QT) -lDCOP
+khc_indexbuilder_la_SOURCES = khc_indexbuilder.cpp
 
-kdeinit_LTLIBRARIES = khelpcenter.la
+kdeinit_LTLIBRARIES = khelpcenter.la khc_indexbuilder.la
 
 khelpcenter_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-khelpcenter_la_LIBADD = $(LIB_KHTML)
+khelpcenter_la_LIBADD = $(LIB_KHTML) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KPARTS) -lDCOP
 khelpcenter_la_SOURCES = navigator.cpp \
 	navigatoritem.cpp navigatorappitem.cpp view.cpp \
 	searchwidget.cpp searchengine.cpp \
@@ -35,7 +35,7 @@
 EXTRA_PROGRAMS = testmetainfo
 
 testmetainfo_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-testmetainfo_LDADD = $(LIB_KDECORE) docentry.lo docmetainfo.lo \
+testmetainfo_LDADD = $(LIB_QT) $(LIB_KDECORE) docentry.lo docmetainfo.lo \
                      docentrytraverser.lo htmlsearch.lo
 testmetainfo_SOURCES = testmetainfo.cpp
 
diff -Nurd kdebase-3.5.10/khelpcenter/htmlsearch/Makefile.am kdebase-3.5.10-new/khelpcenter/htmlsearch/Makefile.am
--- kdebase-3.5.10/khelpcenter/htmlsearch/Makefile.am	2005-09-10 01:25:18.000000000 -0700
+++ kdebase-3.5.10-new/khelpcenter/htmlsearch/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -21,14 +21,15 @@
 
 xdg_apps_DATA = htmlsearch.desktop
 
-bin_PROGRAMS = khtmlindex
+bin_PROGRAMS = 
+kdeinit_LTLIBRARIES = khtmlindex.la
 
 wrapperdir = $(kde_datadir)/khelpcenter/
 wrapper_SCRIPTS = meinproc_wrapper
 
-khtmlindex_SOURCES = index.cpp
-khtmlindex_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-khtmlindex_LDADD = libhtmlsearch.la $(LIB_KDEUI)
+khtmlindex_la_SOURCES = index.cpp
+khtmlindex_la_LDFLAGS = $(KDE_PLUGIN) $(all_libraries) -module
+khtmlindex_la_LIBADD = libhtmlsearch.la $(LIB_KDEUI)
 
 xpm_DATA = unchecked.xpm checked.xpm
 xpmdir = $(kde_datadir)/khelpcenter/pics
diff -Nurd kdebase-3.5.10/khelpcenter/htmlsearch/index.cpp kdebase-3.5.10-new/khelpcenter/htmlsearch/index.cpp
--- kdebase-3.5.10/khelpcenter/htmlsearch/index.cpp	2005-09-10 01:25:18.000000000 -0700
+++ kdebase-3.5.10-new/khelpcenter/htmlsearch/index.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -13,7 +13,7 @@
 };
 
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
   KAboutData aboutData( "khtmlindex", I18N_NOOP("KHtmlIndex"),
 	"",
diff -Nurd kdebase-3.5.10/khelpcenter/khc_indexbuilder.cpp kdebase-3.5.10-new/khelpcenter/khc_indexbuilder.cpp
--- kdebase-3.5.10/khelpcenter/khc_indexbuilder.cpp	2007-10-08 02:51:18.000000000 -0700
+++ kdebase-3.5.10-new/khelpcenter/khc_indexbuilder.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -168,7 +168,7 @@
   KCmdLineLastOption
 };
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
   KAboutData aboutData( "khc_indexbuilder",
                         I18N_NOOP("KHelpCenter Index Builder"),
diff -Nurd kdebase-3.5.10/khotkeys/app/Makefile.am kdebase-3.5.10-new/khotkeys/app/Makefile.am
--- kdebase-3.5.10/khotkeys/app/Makefile.am	2005-11-19 03:05:32.000000000 -0800
+++ kdebase-3.5.10-new/khotkeys/app/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES = kded_khotkeys.la
 
 khotkeys_la_SOURCES = app.cpp app.skel
-khotkeys_la_LIBADD   = ../shared/libkhotkeys_shared.la $(LIB_KDECORE)
+khotkeys_la_LIBADD   = ../shared/libkhotkeys_shared.la $(LIB_KDECORE) -lDCOP
 khotkeys_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
 
 kded_khotkeys_la_SOURCES = kded.cpp kded.skel
diff -Nurd kdebase-3.5.10/khotkeys/kcontrol/Makefile.am kdebase-3.5.10-new/khotkeys/kcontrol/Makefile.am
--- kdebase-3.5.10/khotkeys/kcontrol/Makefile.am	2005-11-19 03:05:33.000000000 -0800
+++ kdebase-3.5.10-new/khotkeys/kcontrol/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -12,12 +12,12 @@
     windowselector.cpp gestures_settings_tab.cpp general_settings_tab.cpp \
     voicerecorder.cpp voicerecordpage.cpp voice_settings_tab.cpp
     
-kcm_khotkeys_la_LIBADD  = ui/libui.la $(LIB_KDEUI) $(LIB_ARTS) 
+kcm_khotkeys_la_LIBADD  = ui/libui.la $(LIB_KDEUI) $(LIB_ARTS) -lDCOP
 kcm_khotkeys_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
 
 kcm_khotkeys_init_la_SOURCES = init.cpp
     
-kcm_khotkeys_init_la_LIBADD  = $(LIB_KDECORE)
+kcm_khotkeys_init_la_LIBADD  = $(LIB_QT) $(LIB_KDECORE) -lDCOP
 kcm_khotkeys_init_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
 
 noinst_HEADERS = menuedit.h window_trigger_widget.h \
diff -Nurd kdebase-3.5.10/khotkeys/kcontrol/ui/Makefile.am kdebase-3.5.10-new/khotkeys/kcontrol/ui/Makefile.am
--- kdebase-3.5.10/khotkeys/kcontrol/ui/Makefile.am	2005-11-19 03:05:33.000000000 -0800
+++ kdebase-3.5.10-new/khotkeys/kcontrol/ui/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -7,7 +7,7 @@
     gesture_triggers_tab_ui.ui gestures_settings_tab_ui.ui general_settings_tab_ui.ui \
     voice_input_widget_ui.ui voice_settings_tab_ui.ui
 
-libui_la_LIBADD  = ../../shared/libkhotkeys_shared.la $(LIB_KDEUI)
+libui_la_LIBADD  = ../../shared/libkhotkeys_shared.la $(LIB_KDEUI) -lDCOP
 libui_la_LDFLAGS = $(all_libraries)
 
 INCLUDES= -I$(srcdir)/.. -I$(top_srcdir)/khotkeys/shared $(all_includes)
diff -Nurd kdebase-3.5.10/khotkeys/shared/Makefile.am kdebase-3.5.10-new/khotkeys/shared/Makefile.am
--- kdebase-3.5.10/khotkeys/shared/Makefile.am	2006-01-19 09:02:21.000000000 -0800
+++ kdebase-3.5.10-new/khotkeys/shared/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 libkhotkeys_shared_la_SOURCES = action_data.cpp khotkeysglobal.cpp triggers.cpp windows.cpp \
     settings.cpp actions.cpp input.cpp conditions.cpp khlistview.cpp khlistbox.cpp \
     gestures.cpp voices.cpp voicesignature.cpp sound.cpp soundrecorder.cpp
-libkhotkeys_shared_la_LIBADD  = $(LIB_KIO) $(XTESTLIB) -lXext -lX11 $(X_PRE_LIBS)
+libkhotkeys_shared_la_LIBADD  = $(LIB_KIO) $(XTESTLIB) -lXext -lX11 $(X_PRE_LIBS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 libkhotkeys_shared_la_LDFLAGS = $(all_libraries) $(X_LDFLAGS) -version-info 1:0:0 -no-undefined
 
 INCLUDES = $(all_includes)
diff -Nurd kdebase-3.5.10/khotkeys/update/Makefile.am kdebase-3.5.10-new/khotkeys/update/Makefile.am
--- kdebase-3.5.10/khotkeys/update/Makefile.am	2005-11-19 03:05:32.000000000 -0800
+++ kdebase-3.5.10-new/khotkeys/update/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -3,7 +3,7 @@
 
 khotkeys_update_SOURCES = update.cpp
 
-khotkeys_update_LDADD   = ../shared/libkhotkeys_shared.la $(LIB_KDECORE) $(KDE_RPATH)
+khotkeys_update_LDADD   = ../shared/libkhotkeys_shared.la $(LIB_KDECORE) $(KDE_RPATH) -lDCOP
 khotkeys_update_LDFLAGS = $(all_libraries)
 
 INCLUDES = -I$(srcdir)/../shared $(all_includes)
diff -Nurd kdebase-3.5.10/kicker/applets/clock/Makefile.am kdebase-3.5.10-new/kicker/applets/clock/Makefile.am
--- kdebase-3.5.10/kicker/applets/clock/Makefile.am	2005-09-10 01:25:35.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/clock/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -16,7 +16,7 @@
 EXTRA_DIST = $(lnk_DATA) $(pic_DATA)
 
 clock_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-clock_panelapplet_la_LIBADD =  ../../libkicker/libkickermain.la $(LIB_KDEUI)
+clock_panelapplet_la_LIBADD =  ../../libkicker/libkickermain.la $(LIB_KDEUI) -lDCOP
 
 srcdoc:
 	kdoc -a -p -H -d $$HOME/web/src/clockapplet clockapplet *.h -lqt -lkdecore -lkdeui -lkfile
diff -Nurd kdebase-3.5.10/kicker/applets/lockout/Makefile.am kdebase-3.5.10-new/kicker/applets/lockout/Makefile.am
--- kdebase-3.5.10/kicker/applets/lockout/Makefile.am	2008-08-19 11:16:57.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/lockout/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 
 lockout_panelapplet_la_SOURCES = lockout.cpp
 lockout_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-lockout_panelapplet_la_LIBADD = ../../libkicker/libkickermain.la $(LIB_KSYCOCA)
+lockout_panelapplet_la_LIBADD = ../../libkicker/libkickermain.la $(LIB_KSYCOCA) -lDCOP
 
 noinst_HEADERS = lockout.h
 
diff -Nurd kdebase-3.5.10/kicker/applets/menu/Makefile.am kdebase-3.5.10-new/kicker/applets/menu/Makefile.am
--- kdebase-3.5.10/kicker/applets/menu/Makefile.am	2005-09-10 01:25:31.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/menu/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 EXTRA_DIST = $(lnk_DATA)
 
 menu_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-menu_panelapplet_la_LIBADD = $(LIB_KDEUI)
+menu_panelapplet_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 messages:
 	$(XGETTEXT) *.cpp *.h -o $(podir)/kmenuapplet.pot
diff -Nurd kdebase-3.5.10/kicker/applets/minipager/Makefile.am kdebase-3.5.10-new/kicker/applets/minipager/Makefile.am
--- kdebase-3.5.10/kicker/applets/minipager/Makefile.am	2005-09-10 01:25:35.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/minipager/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 EXTRA_DIST = $(lnk_DATA) 
 
 minipager_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-minipager_panelapplet_la_LIBADD = $(LIB_KDEUI) \
+minipager_panelapplet_la_LIBADD = $(LIB_KDEUI) -lDCOP -lkdefx \
 	../../taskmanager/libtaskmanager.la \
 	../../libkicker/libkickermain.la
 
diff -Nurd kdebase-3.5.10/kicker/applets/run/Makefile.am kdebase-3.5.10-new/kicker/applets/run/Makefile.am
--- kdebase-3.5.10/kicker/applets/run/Makefile.am	2005-09-10 01:25:31.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/run/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -13,7 +13,7 @@
 EXTRA_DIST = $(lnk_DATA)
 
 run_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-run_panelapplet_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI)
+run_panelapplet_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 messages:
 	$(XGETTEXT) *.cpp *.h -o $(podir)/krunapplet.pot
diff -Nurd kdebase-3.5.10/kicker/applets/systemtray/Makefile.am kdebase-3.5.10-new/kicker/applets/systemtray/Makefile.am
--- kdebase-3.5.10/kicker/applets/systemtray/Makefile.am	2005-09-10 01:25:31.000000000 -0700
+++ kdebase-3.5.10-new/kicker/applets/systemtray/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 EXTRA_DIST = $(lnk_DATA)
 
 systemtray_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-systemtray_panelapplet_la_LIBADD = ../../libkicker/libkickermain.la $(LIB_KDEUI) $(LIB_KIO)
+systemtray_panelapplet_la_LIBADD = ../../libkicker/libkickermain.la $(LIB_KDEUI) $(LIB_KIO) -lDCOP
 
 
 messages:
diff -Nurd kdebase-3.5.10/kicker/extensions/dockbar/Makefile.am kdebase-3.5.10-new/kicker/extensions/dockbar/Makefile.am
--- kdebase-3.5.10/kicker/extensions/dockbar/Makefile.am	2005-09-10 01:25:29.000000000 -0700
+++ kdebase-3.5.10-new/kicker/extensions/dockbar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -5,7 +5,7 @@
 dockbar_panelextension_la_SOURCES = dockcontainer.cpp dockbarextension.cpp
 dockbar_panelextension_la_METASOURCES = AUTO
 dockbar_panelextension_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-dockbar_panelextension_la_LIBADD = $(LIB_KDEUI)
+dockbar_panelextension_la_LIBADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE)
 
 noinst_HEADERS = dockcontainer.h dockbarextension.h
 
diff -Nurd kdebase-3.5.10/kicker/extensions/kasbar/Makefile.am kdebase-3.5.10-new/kicker/extensions/kasbar/Makefile.am
--- kdebase-3.5.10/kicker/extensions/kasbar/Makefile.am	2005-09-10 01:25:29.000000000 -0700
+++ kdebase-3.5.10-new/kicker/extensions/kasbar/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -14,7 +14,7 @@
 			kasloaditem.cpp
 
 libkasbar_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
-libkasbar_la_LIBADD = $(LIB_KDEUI) ../../taskmanager/libtaskmanager.la
+libkasbar_la_LIBADD = $(LIB_KDEUI) ../../taskmanager/libtaskmanager.la -lkdefx
 
 #
 # Panel Extension
@@ -35,11 +35,13 @@
 
 EXTRA_DIST = $(lnk_DATA)
 
-bin_PROGRAMS = kasbar
-kasbar_SOURCES = kasbarapp.cpp
-kasbar_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kasbar_LDADD = 	libkasbar.la \
-		$(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
+bin_PROGRAMS = 
+kdeinit_LTLIBRARIES = kasbar.la
+
+kasbar_la_SOURCES = kasbarapp.cpp
+kasbar_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+kasbar_la_LIBADD = 	libkasbar.la \
+		$(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) -lDCOP
 
 
 messages:
diff -Nurd kdebase-3.5.10/kicker/extensions/kasbar/kasbarapp.cpp kdebase-3.5.10-new/kicker/extensions/kasbar/kasbarapp.cpp
--- kdebase-3.5.10/kicker/extensions/kasbar/kasbarapp.cpp	2005-10-10 08:03:59.000000000 -0700
+++ kdebase-3.5.10-new/kicker/extensions/kasbar/kasbarapp.cpp	2010-05-13 05:26:41.000000000 -0700
@@ -73,7 +73,7 @@
    KCmdLineLastOption
 };
 
-int main( int argc, char **argv )
+extern "C" KDE_EXPORT int kdemain( int argc, char **argv )
 {
   KCmdLineArgs::init( argc, argv, "kasbar", "KasBar", I18N_NOOP( "An alternative task manager" ), VERSION_STRING );
   KCmdLineArgs::addCmdLineOptions( options );
diff -Nurd kdebase-3.5.10/kicker/libkicker/Makefile.am kdebase-3.5.10-new/kicker/libkicker/Makefile.am
--- kdebase-3.5.10/kicker/libkicker/Makefile.am	2005-09-10 01:25:29.000000000 -0700
+++ kdebase-3.5.10-new/kicker/libkicker/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -11,7 +11,7 @@
 libkickermain_la_METASOURCES = AUTO
 
 libkickermain_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
-libkickermain_la_LIBADD = $(LIB_KIO)
+libkickermain_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 kde_kcfg_DATA = kickerSettings.kcfg
 
diff -Nurd kdebase-3.5.10/kicker/menuext/recentdocs/Makefile.am kdebase-3.5.10-new/kicker/menuext/recentdocs/Makefile.am
--- kdebase-3.5.10/kicker/menuext/recentdocs/Makefile.am	2006-03-17 02:17:31.000000000 -0800
+++ kdebase-3.5.10-new/kicker/menuext/recentdocs/Makefile.am	2010-05-13 05:26:41.000000000 -0700
@@ -4,7 +4,7 @@
 
 kickermenu_recentdocs_la_SOURCES = recentdocsmenu.cpp
 kickermenu_recentdocs_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
-kickermenu_recentdocs_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO)
+kickermenu_recentdocs_la_LIBADD = $(LIB_KDEUI) $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 kickermenu_recentdocs_la_METASOURCES = AUTO
 
